GraphQL / Object Interface Related Structures.| Parameter Name | Required | Type | Explanation |
|---|---|---|---|
| objectIdList | yes | []string | The objectIds to update. The parameters objectId and objectIdList must include at least one of them. |
| startTimestamp | yes | int64 | The start timestamp |
| endTimestamp | yes | int64 | The end timestamp. |
| operate | yes | string | Currently, three types of update operations are supported: add means to add a new element, remove means to delete a specific element, update means to overwrite all values. remove_all means to delete all element. |
| attrName | yes | string | The attribute to update, currently supported |
| attrValue | no | string | Passed parameters |
| force | no | bool | default is false. Held objects/tangibles are not allowed to be modified by default unless the user has permission and explicitly sets force=true. |
| attr name | attr value | Explanation |
|---|---|---|
| admin.users | []string | Update the list of users with admin permissions |
| admin.groups | []string | Update the list of groups with admin permissions |
| owner.users | []string | Update the list of users with owner permissions |
| owner.groups | []string | Update the list of groups with owner permissions |
| feature.${featureName}.users | []string | Update the list of users with feature permissions; featureName is the corresponding feature name |
| feature.${featureName}.groups | []string | Update the list of groups with feature permissions; featureName is the corresponding feature name |
| Parameter Name | Required | Type | Explanation |
|---|---|---|---|
| errorCode | yes | string | Error code |
| errorInfo | yes | string | Error information |
Authorization: Bearer ********************curl --location --request POST 'https://mma.tvunetworks.com/api/objectd/v1/query' \
--header 'SID: ' \
--header 'Authorization: Bearer <token>'{}